#!/bin/sh

lAudioTip=$1

script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

StorageSpaceUsePercent=`cat $script_path/storageSpaceUsePercent.ini | ./busybox grep "storageSpaceUsePercent:" | ./busybox grep -v grep | sed 's/storageSpaceUsePercent://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found storageSpaceUsePercent ini config file"
	exit -1
fi

if [ "$StorageSpaceUsePercent" = "yes" ];then
	if [ ! -d "/mnt/mtd/Flags/" ];then
		mkdir -p /mnt/mtd/Flags/
	fi
	touch /mnt/mtd/Flags/SpaceUsePercent.flag
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/setSpaceUsePercent.pcm
	fi
fi

if [ "$StorageSpaceUsePercent" = "no" ];then
	rm -rf /mnt/mtd/Flags/SpaceUsePercent.flag
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/removeSpaceUsePercent.pcm
	fi
fi